## Orthographies

Orthographies — Font language support

## Functions

JsonObject * | font_manager_get_orthography_results ()
gchar * | font_manager_get_sample_string ()

## Types and Values

#define | FONT_MANAGER_START_RANGE_PAIR
#define | FONT_MANAGER_END_OF_DATA

## Includes

    #include <font-manager-orthographies.h>

## Description

## Functions

### font_manager_get_orthography_results ()

    JsonObject *
    font_manager_get_orthography_results (JsonObject *font);

The JsonObject returned will have the following structure:

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11

    {
      "Basic Latin": {
        "filter": [65, 66, ... 122],
        "name": "Basic Latin",
        "native": "Basic Latin",
        "sample": "AaBbCcGgQqRrSsZz",
        "coverage": 100.0
      },
      ...,
      "sample" : null
    }

The returned object contains a member for each orthography detected in `font` .

sample will be set to `NULL` if the font supports rendering the sample string returned by font_manager_get_localized_pangram, otherwise sample will be set to the sample string from the member with the highest coverage, if that should fail then sample will be set to a string randomly generated from the characters available in `font` .

#### Parameters

font | JsonObject. | [nullable][transfer none]

#### Returns

JsonObject containing orthography results.

[nullable][transfer full]

### font_manager_get_sample_string ()

    gchar *
    font_manager_get_sample_string (JsonObject *font);

#### Parameters

font | JsonObject |

#### Returns

A newly allocated string that must be freed with g_free or `NULL` if the systems default language is supported.

[nullable][transfer full]

## Types and Values

### FONT_MANAGER_START_RANGE_PAIR

    #define FONT_MANAGER_START_RANGE_PAIR 0x0002

### FONT_MANAGER_END_OF_DATA

    #define FONT_MANAGER_END_OF_DATA 0x0000